%include common-macros.specinclude

Summary: A document formatting system.
Name: lsb-groff
Version: 1.20.1
Release: 9.lsb5
Vendor: Linux Foundation
Packager: LSB project team <lsb-discuss@linuxfoundation.org>
License: GPL
Group: Appbat/text tools
BuildRoot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: lsb >= 5.0
BuildRequires: lsb-build-libbat-%{appbatversion}
BuildRequires: lsb-build-cc

Source0: http://ftp.gnu.org/gnu/groff/groff-%{version}.tar.gz
Patch0: groff-1.19.2.patch

%description
LSB conforming version of groff.  Groff is a document formatting system.
Groff is added to the LSB Application Battery primarly to demonstrate
the use of C++ programs.

%prep
%setup -q -n groff-%{version}
# not used
#%patch0 -p1 -b .lsbcc

%build
# common environment settings
export LSBCC_LSBVERSION=%{appbatversion}
%define prefix /opt/lsb
%define app_prefix %{prefix}/appbat
%define bindir %{app_prefix}/bin
%define sharedir %{app_prefix}/share
%define mandir %{app_prefix}/man

%ifarch s390x ppc64 x86_64
%define lib lib64
%else
%define lib lib
%endif
%define libdir %{prefix}/%{lib}

# need to be able to align with the LSB/libbat version we're built for
export CC="lsbcc -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
export CXX="lsbc++ -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
%define libdir %{prefix}/%{lib}-%{appbatversion}
export PKG_CONFIG_PATH=%{libdir}/pkgconfig:/opt/lsb/libbat/%{appbatversion}/%{lib}/pkgconfig
export PATH=/opt/lsb/libbat/%{appbatversion}/bin:${PATH}

./configure \
    --prefix=%{app_prefix} \
    --with-appresdir=%{buildroot}%{app_prefix}/etc/X11/app-defaults \
    X_EXTRA_LIBS="-lXpm -lXext"

make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{app_prefix}
make prefix=%{buildroot}%{app_prefix} install

# we do not want this dir, also in gnupg
rm -fr %{buildroot}%{sharedir}/info/dir

%if 0
# make a README about the patch
install -d %{buildroot}%{sharedir}/doc
COUNT=`grep -n '\-\-\-' %{PATCH0} | head -1 | awk -F\: '{print $1}'`
COUNT=`expr $COUNT - 1`
head -"$COUNT" %{PATCH0} > %{buildroot}%{sharedir}/doc/README.LSB.gnupg.build.patches 
%endif

%pre

%post

%preun

%postun

%clean
rm -rf %{buildroot}

%files

%attr ( -   root root ) /opt/lsb/appbat

%changelog
* Thu May 12 2011 Stew Benedict <stewb@linux-foundation.org>
- use spec file to build, drop nALFS


